AnsweredAssumed Answered

Webadaptor configuration Error 10.6.1

Question asked by joanap1spatial on Feb 12, 2019

I am currently upgrading my machine from 10.3.1 to 10.6.1 Enterprise

 

I managed to successfully upgrade Portal 10.6.1.

 

-> Following ESRI instructions: Upgrade your ArcGIS Enterprise portal—Portal for ArcGIS (10.6) | ArcGIS Enterprise 

 

I am now on Step 15.

"Install the Web Adaptor that will be used with your portal. For full instructions, see the installation topic for IIS, Java (Windows), or Java (Linux). Ensure that you use the Web Adaptor context that you used in the previous version."

 

As you all know, to upgrade the WebAdaptor we need to uninstall the preview, keep the same context and install the new version of Web Adaptor and give the same context.

 

It is from all the upgrade the easiest step, however I am having this error after the installation and when I try to launch the FQDN  url.    Both with http and https.

 

Configuration Error

Server Error in '/arcgis' Application.


Configuration Error

Description: An error occurred during the processing of a configuration file required to service this request. Please review the specific error details below and modify your configuration file appropriately.

Parser Error Message: Type 'System.Web.UI.WebControls.WebParts.SqlPersonalizationProvider' does not inherit from 'System.Web.Management.WebEventProvider'.

Source Error:

Line 165:                    buffer="false" bufferMode="Notification" name="SqlWebEventProvider" Line 166:                    type="System.Web.Management.SqlWebEventProvider,System.Web,Version=4.0.0.0,Culture=neutral,PublicKeyToken=b03f5f7f11d50a3a" />Line 167:                    <add connectionStringName="searle" name="AspNetSqlPersonalizationProvider" type="System.Web.UI.WebControls.WebParts.SqlPersonalizationProvider, System.Web, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a"/>Line 168:                <add name="WmiWebEventProvider" type="System.Web.Management.WmiWebEventProvider,System.Web,Version=4.0.0.0,Culture=neutral,PublicKeyToken=b03f5f7f11d50a3a" /> Line 169:            </providers>


Source File: C:\Windows\Microsoft.NET\Framework64\v4.0.30319\Config\web.config    Line: 167


Version Information: Microsoft .NET Framework Version:4.0.30319; ASP.NET Version:4.7.3282.0

 

 

I really need help as I need to have this upgrade done by this week and I honestly I don't know what to do.

 

Could the fact that both arcgis and arcgis_old are in the IIS causing some conflicts? Shall I delete the old one?

 

 

I would appreciate any input or someone with similar errors?

 

Cheers

Attachments

Outcomes